<div class="chat-room">

    <ng-container *ngIf="log$ | async as log; else loading">
        <mr-chatlog [log]="log" [from]="localContext.from" (loadOlder)="loadOlder()"></mr-chatlog>
        <mr-inbox-editor [context]="{from: localContext.from, to: localContext.to}"></mr-inbox-editor>
    </ng-container>

    <ng-template #loading>
        <mr-loader></mr-loader>
    </ng-template>

</div>
